<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ResourceEquipment extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $fillable = [
        'resource_id',
        'equipment_category_id',
        'name',
        'start_date',
        'end_date',
        'supplier',
        'sku',
        'description',
        'enabled',
    ];

    public function resource()
    {
        return $this->belongsTo(\App\Models\Resource::class);
    }

    public function equipment_category()
    {
        return $this->belongsTo(\App\Models\EquipmentCategory::class);
    }
}
